CREATE TABLE USUARIO (ID INT PRIMARY KEY,
		     	NOME VARCHAR(10) NOT NULL,
			CATEGORIA VARCHAR(10) NOT NULL,
			ENDERECO VARCHAR(20) NOT NULL,
			TELEFONE VARCHAR(15) NOT NULL,
			SEXO CHAR NOT NULL);

CREATE TABLE LIVRO (ID INT PRIMARY KEY,
		     	TITULO VARCHAR(20) NOT NULL,
			AUTOR VARCHAR(15) NOT NULL,
			CATEGORIA VARCHAR(15) NOT NULL,
			ANO INT NOT NULL,
			PRIORIDADE INT NOT NULL,
			DISPONIBILIDADE INT NOT NULL);

CREATE TABLE EMPRESTIMO (ID INT IDENTITY PRIMARY KEY,
			ID_USUARIO INT NOT NULL,
		      	ID_LIVRO INT NOT NULL,
		      	DATA_EMPRESTIMO DATE NOT NULL,
			DATA_DEVOLUCAO DATE NOT NULL,
		    	CONSTRAINT FK_EMP_USU FOREIGN KEY (ID_USUARIO)
		    	REFERENCES USUARIO(ID),
		    	CONSTRAINT FK_EMP_LIV FOREIGN KEY (ID_LIVRO)
		    	REFERENCES LIVRO(ID));

CREATE TABLE MULTA (ID INT IDENTITY PRIMARY KEY,
			ID_USUARIO INT NOT NULL,
			DESCRICAO VARCHAR(20) NOT NULL,
			VALOR DOUBLE NOT NULL,
		    	CONSTRAINT FK_MUL_USU FOREIGN KEY (ID_USUARIO)
		    	REFERENCES USUARIO(ID));

CREATE TABLE RESERVA (ID INT IDENTITY PRIMARY KEY,
			ID_USUARIO INT NOT NULL,
		      	ID_LIVRO INT NOT NULL,
		      	DATA DATE NOT NULL,
		    	CONSTRAINT FK_RES_USU FOREIGN KEY (ID_USUARIO)
		    	REFERENCES USUARIO(ID),
		    	CONSTRAINT FK_RES_LIV FOREIGN KEY (ID_LIVRO)
		    	REFERENCES LIVRO(ID));

SET DATABASE SQL SYNTAX MYS TRUE;